Parar de seguir o canal
curl --request POST \
--url https://{host}/api/{session}/channels/{id}/unfollow \
--header 'apikey: <api-key>'import requests
url = "https://{host}/api/{session}/channels/{id}/unfollow"
headers = {"apikey": "<api-key>"}
response = requests.post(url, headers=headers)
print(response.text)const options = {method: 'POST', headers: {apikey: '<api-key>'}};
fetch('https://{host}/api/{session}/channels/{id}/unfollow', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"success": true,
"message": "Você deixou de seguir este canal"
}
Canais
Deixar de Seguir Canal
Deixar de seguir um canal no WhatsApp
POST
/
api
/
{session}
/
channels
/
{id}
/
unfollow
Parar de seguir o canal
Descrição
Este endpoint permite deixar de seguir um canal específico no WhatsApp, removendo-o da sua lista de canais seguidos e parando de receber atualizações do canal.Parâmetros de URL
string
required
ID único da sessão WhatsApp autenticada
string
required
ID único do canal que deseja deixar de seguir
Resposta
boolean
Indica se você deixou de seguir o canal com sucesso
{
"success": true,
"message": "Você deixou de seguir este canal"
}
Códigos de Status
200- Deixou de seguir o canal com sucesso400- ID inválido ou não está seguindo o canal401- Não autorizado404- Canal não encontrado500- Erro interno do servidor
Exemplo de Uso
curl -X POST https://api.wappfy.com.br/api/my-session/channels/123456789@newsletter/unfollow
const session = 'my-session';
const channelId = '123456789@newsletter';
const response = await fetch(`https://api.wappfy.com.br/api/${session}/channels/${channelId}/unfollow`, {
method: 'POST'
});
const data = await response.json();
console.log(data);
import requests
session = 'my-session'
channel_id = '123456789@newsletter'
response = requests.post(f'https://api.wappfy.com.br/api/{session}/channels/{channel_id}/unfollow')
data = response.json()
print(data)
